Generation
Get a generation
GET
/
generations
/
{id}
Get a generation
curl --request GET \
--url https://havincy.com/api/v1/generations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "generation",
"status": "completed",
"assets": [
{
"id": 5678,
"object": "asset",
"kind": "image",
"status": "completed",
"model": "fal-nano-banana-2",
"credits": 12,
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../image.png",
"download_url": "https://havincy.com/rails/active_storage/blobs/redirect/.../image.png?disposition=attachment",
"mime_type": "image/png",
"width": 1024,
"height": 1024,
"created_at": "2026-10-05T10:12:00+02:00"
}
]
}
Returns the status and file URLs of an asset created by a generation, an Encore creation or an upload. Status is
queued, processing, completed or failed.
Required permission: read. MCP tool: get_generation (accepts several asset_ids).
integer
required
Asset id.
integer
default:"0"
Wait up to N seconds (0 to 55) for completion.
{
"object": "generation",
"status": "completed",
"assets": [
{
"id": 5678,
"object": "asset",
"kind": "image",
"status": "completed",
"model": "fal-nano-banana-2",
"credits": 12,
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../image.png",
"download_url": "https://havincy.com/rails/active_storage/blobs/redirect/.../image.png?disposition=attachment",
"mime_type": "image/png",
"width": 1024,
"height": 1024,
"created_at": "2026-10-05T10:12:00+02:00"
}
]
}
⌘I
Get a generation
curl --request GET \
--url https://havincy.com/api/v1/generations/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/generations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/generations/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "generation",
"status": "completed",
"assets": [
{
"id": 5678,
"object": "asset",
"kind": "image",
"status": "completed",
"model": "fal-nano-banana-2",
"credits": 12,
"url": "https://havincy.com/rails/active_storage/blobs/proxy/.../image.png",
"download_url": "https://havincy.com/rails/active_storage/blobs/redirect/.../image.png?disposition=attachment",
"mime_type": "image/png",
"width": 1024,
"height": 1024,
"created_at": "2026-10-05T10:12:00+02:00"
}
]
}